MTW(4)

NAME
mtw - MediaTek MT7601U USB IEEE 802.11n wireless network driver

SYNOPSIS
device usb
device mtw
device wlan

In rc.conf(5):
kld_list="if_mtw"

DESCRIPTION
This module provides support for MediaTek MT7601U USB wireless network adapters. If the appropriate hardware is detected, the driver will be automatically loaded with devmatch(8). If driver autoloading is explicitly disabled, enable the module in rc.conf(5). The mtw driver can be configured at runtime with ifconfig(8) or at boot with rc.conf(5).

HARDWARE
The mtw driver supports MediaTek MT7601U based USB wireless network adapters including (but not all of them tested):

•   ASUS USB-N10 v2
•   D-Link DWA-127 rev B1
•   Edimax EW-7711UAn v2
•   Foxconn WFU03
•   Tenda U2
•   Tenda W311MI v2
•   TP-LINK TL-WN727N v4 (tested working)
•   Yealink WF40

FILES
The mtw driver requires firmware from ports/net/wifi-firmware-mt7601u-kmod. This firmware package will be installed automatically with fwget(8) if the appropriate hardware is detected at installation or runtime.

SEE ALSO
usb(4), wlan(4), networking(7), fwget(8), wpa_supplicant(8)

HISTORY
The mtw driver first appeared in OpenBSD 7.1 and FreeBSD 15.0.

AUTHORS
-nosplit The mtw driver was written by James Hastings <hastings@openbsd.org> and ported to FreeBSD by Jesper Schmitz Mouridsen <jsm@FreeBSD.org>.

BUGS
mtw only works in station mode and monitor mode. The firmware does not always reinitialize when reloading the module, or when rebooting, without first unplugging the device.